This repository contains the code for my personal site, hosted at [carya.software](https://www.carya.software). I periodically make updates to it when I want to include new information or try out a new frontend technology.

# Building
"Building" the site such that it can be deployed is simple. Clone the repository, add the relevant font(s) and large file(s), and compile the tailwindCSS. 
## Fonts 
Obtain the file [ioseevka_ter_regular.ttf](https://typeof.net/Iosevka/) and put it in the fonts folder. Obtain any large files omitted from the repository (currently just mushrooms.jpg) and put them in the project root folder.
## Tailwind 
[Install TailwindCSS](https://tailwindcss.com/docs/installation) (site most recently built with v3.3.3) with npm if you haven't already. Compile the CSS with the following terminal command. 

    npx tailwindcss -i ./css/theme.css -o ./css/theme-compiled.css

Open index.html and the site should look as it does at [carya.software](https://www.carya.software).
